﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Grid;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication1
{
    class Program
    {
        public static string DataPathBase
        {
            get
            {

                return System.Environment.CurrentDirectory + @"\..\..\Data\";

            }
        }
        public static string DataPathOutput
        {
            get
            {
                if (!System.IO.Directory.Exists(System.Environment.CurrentDirectory + @"\..\..\Output\"))
                    System.IO.Directory.CreateDirectory(System.Environment.CurrentDirectory + @"\..\..\Output\");
                return System.Environment.CurrentDirectory + @"\..\..\Output\";
            }
        }
        static void Main(string[] args)
        {
            //Create a new PDF document.
             PdfDocument pdfDocument = new PdfDocument();
            PdfPage pdfPage = pdfDocument.Pages.Add();

            //Create a new PdfGrid.
            PdfGrid pdfGrid = new PdfGrid();
            //Set apdding to parent grid
            pdfGrid.Style.CellPadding = new PdfPaddings(4, 4, 4, 4);
            //Add three columns.
            pdfGrid.Columns.Add(3);

            
            //Add rows.
            PdfGridRow pdfGridRow = pdfGrid.Rows.Add();
            pdfGridRow.Cells[0].Value = "Employee ID";
            pdfGridRow.Cells[1].Value = "Employee Name";
            pdfGridRow.Cells[2].Value = "Salary";


            //Create child grid
            PdfGrid childGrid = new PdfGrid();
            childGrid.Columns.Add(1);
            //Add rows with different fonts for child grid
            PdfGridRow childGridRow1 = childGrid.Rows.Add();
            childGridRow1.Style.Font = new PdfStandardFont(PdfFontFamily.Helvetica, 12);
            childGridRow1.Cells[0].Value = "toolongtofitoneline \n cat";
            PdfGridRow childGridRow2 = childGrid.Rows.Add();
            childGridRow2.Style.Font = new PdfStandardFont(PdfFontFamily.TimesRoman, 12);
            childGridRow2.Cells[0].Value = "toolongtofitoneline \n cat";
            PdfGridRow childGridRow3 = childGrid.Rows.Add();
            childGridRow3.Style.Font = new PdfStandardFont(PdfFontFamily.Courier, 12);
            childGridRow3.Cells[0].Value = "toolongtofitoneline \n cat";


            //Add rowsto parent grid
            PdfGridRow pdfGridRow2 = pdfGrid.Rows.Add();
            //Set the child grid to the first cell of the row
            pdfGridRow2.Cells[0].Value = childGrid;
            pdfGridRow2.Cells[1].Value = "Clay";
            pdfGridRow2.Cells[2].Value = "$10,000";


            //Draw the PdfGrid.
            pdfGrid.Draw(pdfPage, PointF.Empty);
            //Save the document.
            pdfDocument.Save(DataPathOutput+"Output.pdf");
            //Close the document
            pdfDocument.Close(true);
            System.Diagnostics.Process.Start(System.IO.Path.Combine(DataPathOutput, "Output.pdf"));
        }
    }
}
